
Redmine - Defect #11511

Confirmation page has broken HTML when a project folding sub project is deleted

2012-07-26 06:58 - Haruka Yoshihara

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 2.0.4   

Resolution: Fixed Affected version:  

Description

I created a new project in Redmine (In "Home" page, I clicked [Administration], next [Projects], third [New Project]. I filled the

necessary fields in "New project" page and clicked [Create] button finally).

This new project is "PARENT-PROJECT".

I also created a new sub project of "PARENT-PROJECT", named "SUB-PROJECT".

When I created "SUB-PROJECT", I selected "PARENT-PROJECT" in "Subproject of" drop-down list.

So I will delete the "PARENT-PROJECT" (In "Home" page, I clicked [Administration], next [Projects], finally [Delete] on right side of

"PARENT-PROJECT" column),

but "Confirmation" page has broken HTML.

<p><strong>PARENT-PROJECT</strong><br />

Are you sure you want to delete this project and related data?

<br />Its subproject(s): &lt;strong&gt;SUB-PROJECT&lt;/strong&gt; will be also deleted.

</p>

 Open <strong> tag and close </strong> tag are escaped around "SUB-PROJECT".

For example:

Before:

PARENT-PROJECT

Are you sure you want to delete this project and related data?

Its subproject(s): <strong>SUB-PROJECT</strong> will be also deleted.

After:

PARENT-PROJECT

Are you sure you want to delete this project and related data?

Its subproject(s): SUB-PROJECT will be also deleted.

The strong tags put stronger emphasis on "SUB-PROJECT" string. This case, "Confirmation" page has broken HTML.

I use ruby 1.9.3 and Rails 3.2.6.

Associated revisions

Revision 10083 - 2012-07-27 01:45 - Toshi MARUYAMA

fix confirmation page has broken HTML when a project folding sub project is deleted (#11511)

Contributed by Haruka Yoshihara.

Revision 10084 - 2012-07-27 02:40 - Toshi MARUYAMA

Merged r10083 from trunk to 2.0-stable (#11511)

fix confirmation page has broken HTML when a project folding sub project is deleted.

Contributed by Haruka Yoshihara.

History

#1 - 2012-07-26 07:02 - Haruka Yoshihara

- File 0001-Fix-too-escaped-strong-in-confirmation-page.diff added
I attach a path for this issue.

#2 - 2012-07-27 01:40 - Toshi MARUYAMA

- Category set to Projects

- Status changed from New to Confirmed

#3 - 2012-07-27 01:51 - Toshi MARUYAMA

- Target version set to 2.0.4

#4 - 2012-07-27 03:50 - Toshi MARUYAMA

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Committed in trunk r10083 and 2.0-stable r10084, thanks.

Files

0001-Fix-too-escaped-strong-in-confirmation-page.diff 660 Bytes 2012-07-26 Haruka Yoshihara
